/* @(#)Z 1.6 com/src/core/idl/NamSpac.idl, odcore, od96nt, odnt9712d 97/03/21 16:44:24 (96/10/29 09:22:13) */


#ifndef _NAMSPAC_
#define _NAMSPAC_

#ifndef _ODOBJECT_
#include "ODObject.idl"
#endif

//==============================================================================
// Classes defined in this interface
//==============================================================================

interface  ODNameSpace;

//==============================================================================
// Classes used by this interface
//==============================================================================


interface  ODStorageUnitView;


//==============================================================================
// ODNameSpace
//==============================================================================

interface ODNameSpace :  ODObject
{
   ODISOStr GetName();

   ODNSTypeSpec GetType();

   ODNameSpace GetParent();

   void SetType( in ODNSTypeSpec type );

   void Unregister(in ODISOStr key);

   ODBoolean Exists(in ODISOStr key);

   void WriteToFile(in ODByteArray file);

   void ReadFromFile(in ODByteArray file);

   void WriteToStorage(in ODStorageUnitView view);

   void ReadFromStorage(in ODStorageUnitView view);


#ifdef __SOMIDL__
	implementation
  	{
	majorversion = 1; minorversion = 0;

	functionprefix = ODNameSpace;

	override:
    	somUninit,
        Purge;

    releaseorder:
        GetName,
		GetType,
		GetParent,
		SetType,
        Unregister,
        Exists,
        WriteToFile,
        ReadFromFile,
        WriteToStorage,
        ReadFromStorage,
		reserved1,
		reserved2,
		reserved3,
		reserved4,
		reserved5,
		reserved6,
		reserved7;

  };
#endif 
};

#endif 

